#
# spec file for package python3-SPARQLWrapper
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-SPARQLWrapper
Version:        1.6.4
Release:        5.2
Summary:        SPARQL Endpoint interface to Python
License:        W3C
Group:          Development/Languages/Python
Url:            http://sparql-wrapper.sourceforge.net/
Source:         https://pypi.python.org/packages/source/S/SPARQLWrapper/SPARQLWrapper-%{version}.tar.gz
# for openSUSE 12.2
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Recommends:     python3-rdflib
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is a wrapper around a SPARQL service. It helps in creating the
query URI and, possibly, convert the result into a more manageable
format.

%prep
%setup -q -n SPARQLWrapper-%{version}
# fix end-of-line encoding
sed -i 's/\r$//' README.md

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.md AUTHORS.md
%{python3_sitelib}/SPARQLWrapper/
%{python3_sitelib}/SPARQLWrapper-%{version}-py*.egg-info

%changelog
* Sun Jan 25 2015 arun@gmx.de
- specfile:
  * update copyright year
  * README.txt -> README.md
  * AUTHOR.txt -> AUTHOR.md
  * no more Changelog and Licence file in tar-bal, removed them from %%files section
- update to version 1.6.4:
  * Fixed unicode problems on setup (issue #42)
- changes from version 1.6.3:
  * Fixed unicode problems with urllib in Python 3 (issue #35)
  * Restored SPARQLWrapper2 class (issue #36)
  * Enhanced warning for missing rdflib-jsonld (issue #38)
  * Fixed build system (issue #39)
- changes from version 1.6.2:
  * Fixed query type detection with comments (issue #32)
- changes from version 1.6.1:
  * Added missing query types (issue #17)
  * Added a new method to the API to select the request method to be
    fully SPARQL 1.1 Protocol compliant (issue #28)
  * Improved the test suite coverage, including support to run the
    tests under Python 3.x (issues #20, #24 and #31)
- changes from version 1.6.0:
  * Returning raw response in case of unknown content type returned
  * Fixed some issues with the last version of the SPARQL 1.1 Update
    Protocol
  * setQuery() doesn't imply resetQuery() anymore
  * Deprecated addCustomParameter(), addParameter() and
    clearParameter() come to provide all required functionality
  * SPARQLWrapper, QueryResult, Value, Bindings (and classes inherited
    from them) are new-style classes now
  * POST queries are accompanied by full set of parameters now
  * Added rudimentary support for JSON-LD
  * Added proper unit tests without dependencies of external endpoints
  * Fixed Python 3 compatibility issues in SmartWrapper module
* Mon Dec  9 2013 toddrme2178@gmail.com
- Fix building on openSUSE 12.2
* Fri Dec  6 2013 toddrme2178@gmail.com
- Initial version (1.5.2)
